Page MenuHomePhabricator

Flow extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the Flow PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterAdd more @covers tags in not so obvious cases
mediawiki/extensions/Flow : masterAdd missing @covers tags to test classes in all trivial cases
mediawiki/extensions/Flow : masterAdd @covers tags to Flow's PHPUnit tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:53 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 20 2018, 1:59 AM

Change 435779 had a related patch set uploaded (by Catrope; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Flow@master] Add @covers tags to Flow's PHPUnit tests

https://gerrit.wikimedia.org/r/435779

Change 435779 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add @covers tags to Flow's PHPUnit tests

https://gerrit.wikimedia.org/r/435779

Change 436273 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Flow@master] Add missing @covers tags to test classes in all trivial cases

https://gerrit.wikimedia.org/r/436273

Change 436275 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Flow@master] Add more @covers tags in not so obvious cases

https://gerrit.wikimedia.org/r/436275

Change 436273 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add missing @covers tags to test classes in all trivial cases

https://gerrit.wikimedia.org/r/436273

Change 436275 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add more @covers tags in not so obvious cases

https://gerrit.wikimedia.org/r/436275

Vvjjkkii renamed this task from Flow extension is missing @covers tags to smcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from smcaaaaaaa to Flow extension is missing @covers tags.Jul 1 2018, 5:21 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 25 2018, 6:27 AM